/**
 * @file
 * Base trigger file for field_slideshow_threesixty.js.
 */

(function($){
  Drupal.behaviors.field_slide_show_j360 = {
    attach: function( context, settings ) {
      window.onload = init;
      function init(){
        // @todo get all slideshow threesixty emelements from a page.
        // In case views page rendered more the one node at a page.
        // We will get atleast 20.
        $( ".threesixty" ).each(function( i ) {
          var totalFrames = $( this ).children( ".threesixty_images" ).children().length;
          var endFrame = totalFrames;
          var img_list = ".threesixty_images";
          var progress = ".spinner";

          var className = $( this ).children( ".threesixty_images" ).attr( "class" );
          var classArray = className.split( " " );
          for(var s = 0; s < classArray.length; s++) {
            var width_str = classArray[s].match(/width-([0-9]{2,4})/);
            var height_str = classArray[s].match(/height-([0-9]{2,4})/);
            var navigation = false;

            if (null !== width_str) {
              var width = parseInt( width_str[1] );
              $( this ).children( ".threesixty_images" ).removeClass( classArray[s] );
            }
            if (null !== height_str) {
              var height = parseInt( height_str[1] );
              $( this ).children( ".threesixty_images" ).removeClass( classArray[s] );
            }
            if(classArray[s] == "navigation-yes") {
              navigation = true;
              $( this ).children( ".threesixty_images" ).removeClass( classArray[s] );
            }
            if(classArray[s] == 'navigation-no') {
              navigation = false;
              $( this ).children( ".threesixty_images" ).removeClass( classArray[s] );
            }
          }
          $( this ).ThreeSixty({
              totalFrames: totalFrames,
              endFrame: endFrame,
              currentFrame: 1,
              imgList: img_list,
              progress: progress,
              height: height,
              width: width,
              navigation: navigation
            });
        });
      }
    }
  }
})(jQuery);
